//+------------------------------------------------------------------+
//|                                            MM-TimeFrame_v502.mq4 |
//|                      Copyright  2006, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+

#property copyright "Copyright  2006, MetaQuotes Software Corp."
#property link      " Modified by cja, Xard777 " 
#property link      "http://www.metaquotes.net"
#property copyright "Vladislav Goshkov (VG)."
#property link      "4vg@mail.ru"

#property indicator_chart_window
#define MMFrame "MMFrame"
#define MMTop "MMTop"
#define MMBot "MMBot"
extern color MMColor = C'0,6,60';
extern color MM2Color = C'100,5,60';
extern int P = 32;
extern int StepBack = 0;

double  dmml = 0,
        dvtl = 0,
        sum  = 0,
        v1 = 0,
        v2 = 0,
        mn = 0,
        mx = 0,
        x1 = 0,
        x2 = 0,
        x3 = 0,
        x4 = 0,
        x5 = 0,
        x6 = 0,
        y1 = 0,
        y2 = 0,
        y3 = 0,
        y4 = 0,
        y5 = 0,
        y6 = 0,
        octave = 0,
        fractal = 0,
        range   = 0,
        finalH  = 0,
        finalL  = 0,
        mml[13];
        
string  ln_txt[13],        
        buff_str = "";
        
int     
        bn_v1   = 0,
        bn_v2   = 0,
        OctLinesCnt = 13,
        mml_thk = 8,
        mml_clr[13],
        mml_shft = 3,
        nTime = 0,
        CurPeriod = 0,
        nDigits = 0,
        i = 0;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init() {
IndicatorShortName("MM");
//---- indicators
   ln_txt[0]  = "[-2/8]                                           ";
   ln_txt[1]  = "[-1/8]                                           ";
   ln_txt[2]  = "[0/8]                                           ";
   ln_txt[3]  = "[1/8]                                           ";
   ln_txt[4]  = "[2/8]                                           ";
   ln_txt[5]  = "[3/8]                                           ";
   ln_txt[6]  = "[4/8]                                           ";
   ln_txt[7]  = "[5/8]                                           ";
   ln_txt[8]  = "[6/8]                                           ";
   ln_txt[9]  = "[7/8]                                           ";
   ln_txt[10] = "[8/8]                                           ";
   ln_txt[11] = "[+1/8]                                           ";
   ln_txt[12] = "[+2/8]                                           ";

   mml_shft = 3;//original was 3
   mml_thk  = 3;

    
   mml_clr[0]  = Red;
   mml_clr[1]  = OrangeRed;
   mml_clr[2]  = DeepSkyBlue;
   mml_clr[3]  = Yellow;
   mml_clr[4]  = HotPink;
   mml_clr[5]  = Lime;
   mml_clr[6]  = DeepSkyBlue;
   mml_clr[7]  = Lime;
   mml_clr[8]  = HotPink;
   mml_clr[9]  = Yellow;
   mml_clr[10] = DeepSkyBlue;
   mml_clr[11] = OrangeRed;
   mml_clr[12] = Red;
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit() {
//---- TODO: add your code here
Comment("\n","  ");   
for(i=0;i<OctLinesCnt;i++) {
    buff_str = "mml"+i;
    ObjectDelete(buff_str);
    buff_str = "mml_txt"+i;
    ObjectDelete(buff_str);
    }
//----
ObjectsDeleteAll();
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start() 
{

CreateMM();
}
void CreateObj(string objName, double start, double end, color clr)
  {
   ObjectCreate(objName, OBJ_RECTANGLE, 0, iTime(NULL,CurPeriod,P), start, Time[0], end);
   ObjectSet(objName, OBJPROP_COLOR, clr);
   }
   void DeleteObjects()
   {
   ObjectDelete(MMFrame);
   ObjectDelete(MMTop);
   ObjectDelete(MMBot);
   }
   void CreateMM()
   {
   DeleteObjects();
   
//---- TODO: add your code here
  
   
// Start Data window code
double Value = finalH; //8/8th 
double Value1 = finalL; //0/8th
      
{
if( (nTime != Time[0]) || (CurPeriod != Period()) ) {
   
   v1=(Close[Lowest(NULL,0,MODE_CLOSE,P+StepBack,0)]);
   v2=(Close[Highest(NULL,0,MODE_CLOSE,P+StepBack,0)]);
}
//determine fractal.....
   if( v2<=250000 && v2>25000 )
   fractal=100000;
   else
     if( v2<=25000 && v2>2500 )
     fractal=10000;
     else
       if( v2<=2500 && v2>250 )
       fractal=1000;
       else
         if( v2<=250 && v2>25 )
         fractal=100;
         else
           if( v2<=25 && v2>12.5 )
           fractal=12.5;
           else
             if( v2<=12.5 && v2>6.25)
             fractal=12.5;
             else
               if( v2<=6.25 && v2>3.125 )
               fractal=6.25;
               else
                 if( v2<=3.125 && v2>1.5625 )
                 fractal=3.125;
                 else
                   if( v2<=1.5625 && v2>0.390625 )
                   fractal=1.5625;
                   else
                     if( v2<=0.390625 && v2>0)
                     fractal=0.1953125;
   
   //---- input parameters ----
double m0,m8,m7,m6,m5,m4,m3,m2,m1;
double mm0,mm8,mm7,mm6,mm5,mm4,mm3,mm2,mm1,mm11,mm12,mm13,mm14;
double mm15,mm16,mm17,mm18;
double mm30,mm31,mm32,mm33,mm34,mm35,mm36,mm37,mm38,mm3P1,mm3P2,mm3M1,mm3M2;
double mm313, mm314, mm315, mm316;
double xard = iMA(Symbol(),0,1,0,MODE_EMA,PRICE_CLOSE,0);
double column1=8,octave1=64;//1st column
double column2=64,octave2=512;//2nd column
double column3=512,octave3=4096;//3rd column

//1st Octave column plus Algorithm
m0 = (MathFloor(xard/(fractal/column1))*(fractal/column1));
m8 = m0+((fractal/octave1)*8);
m7 = m0+((fractal/octave1)*7);
m6 = m0+((fractal/octave1)*6);
m5 = m0+((fractal/octave1)*5);
m4 = m0+((fractal/octave1)*4);
m3 = m0+((fractal/octave1)*3);
m2 = m0+((fractal/octave1)*2);
m1 = m0+((fractal/octave1)*1);

//2nd Octave column plus Algorithm
mm0 = (MathFloor(xard/(fractal/column2))*(fractal/column2));
mm8 = mm0+((fractal/octave2)*8);
mm7 = mm0+((fractal/octave2)*7);
mm6 = mm0+((fractal/octave2)*6);
mm5 = mm0+((fractal/octave2)*5);
mm4 = mm0+((fractal/octave2)*4);
mm3 = mm0+((fractal/octave2)*3);
mm2 = mm0+((fractal/octave2)*2);
mm1 = mm0+((fractal/octave2)*1);
mm11 =mm0-((fractal/octave2)*1);
mm12 =mm0-((fractal/octave2)*2);
mm13 =mm0+((fractal/octave2)*9);
mm14 =mm0+((fractal/octave2)*10);
mm15 =mm0+((fractal/octave2)*11);
mm16 =mm0+((fractal/octave2)*12);
mm17 =mm0-((fractal/octave2)*3);
mm18 =mm0-((fractal/octave2)*4);

//3rd Octave Column plus Algorithm
mm30 = (MathFloor(xard/(fractal/column3))*(fractal/column3));
mm31 = mm30+((fractal/octave3)*1);
mm32 = mm30+((fractal/octave3)*2);
mm33 = mm30+((fractal/octave3)*3);
mm34 = mm30+((fractal/octave3)*4);
mm35 = mm30+((fractal/octave3)*5);
mm36 = mm30+((fractal/octave3)*6);
mm37 = mm30+((fractal/octave3)*7);
mm38 = mm30+((fractal/octave3)*8);
mm3P1 = mm30+((fractal/octave3)*9);
mm3P2 = mm30+((fractal/octave3)*10);
mm3M1 = mm30-((fractal/octave3)*1);
mm3M2 = mm30-((fractal/octave3)*2);
mm313 = mm30+((fractal/octave3)*11);
mm314 = mm30+((fractal/octave3)*12);
mm315 = mm30-((fractal/octave3)*3);
mm316 = mm30-((fractal/octave3)*4);
   
  
// Calculating Our TimeFrame    
   range=(v2-v1);
   sum=MathFloor(MathLog(fractal/range)/MathLog(2));
   octave=fractal*(MathPow(0.5,sum));
   mn=MathFloor(v1/octave)*octave;
   if( (mn+octave)>v2 )
   mx=mn+octave; 
   else
     mx=mn+(2*octave);

// calculating xx
//x2
    if( (v1>=(3*(mx-mn)/16+mn)) && (v2<=(9*(mx-mn)/16+mn)) )
    x2=mn+(mx-mn)/2; 
    else x2=0;
//x1
    if( (v1>=(mn-(mx-mn)/8))&& (v2<=(5*(mx-mn)/8+mn)) && (x2==0) )
    x1=mn+(mx-mn)/2; 
    else x1=0;

//x4
    if( (v1>=(mn+7*(mx-mn)/16))&& (v2<=(13*(mx-mn)/16+mn)) )
    x4=mn+3*(mx-mn)/4; 
    else x4=0;

//x5
    if( (v1>=(mn+3*(mx-mn)/8))&& (v2<=(9*(mx-mn)/8+mn))&& (x4==0) )
    x5=mx; 
    else  x5=0;

//x3
    if( (v1>=(mn+(mx-mn)/8))&& (v2<=(7*(mx-mn)/8+mn))&& (x1==0) && (x2==0) && (x4==0) && (x5==0) )
    x3=mn+3*(mx-mn)/4; 
    else x3=0;

//x6
    if( (x1+x2+x3+x4+x5) ==0 )
    x6=mx; 
    else x6=0;

     finalH = x1+x2+x3+x4+x5+x6;
// calculating yy
//y1
    if( x1>0 )
    y1=mn; 
    else y1=0;

//y2
    if( x2>0 )
    y2=mn+(mx-mn)/4; 
    else y2=0;

//y3
    if( x3>0 )
    y3=mn+(mx-mn)/4; 
    else y3=0;

//y4
    if( x4>0 )
    y4=mn+(mx-mn)/2; 
    else y4=0;

//y5
    if( x5>0 )
    y5=mn+(mx-mn)/2; 
    else y5=0;

//y6
    if( (finalH>0) && ((y1+y2+y3+y4+y5)==0) )
    y6=mn; 
    else y6=0;

    finalL = y1+y2+y3+y4+y5+y6;

    for( i=0; i<OctLinesCnt; i++) {
         mml[i] = 0;
         }
         
   dmml = (finalH-finalL)/8;

   mml[0] =(finalL-dmml*2); //-2/8
   for( i=1; i<OctLinesCnt; i++) {
        mml[i] = mml[i-1] + dmml;
        }
   for( i=0; i<OctLinesCnt; i++ ){
        buff_str = "mml"+i;
        if(ObjectFind(buff_str) == -1) {
           ObjectCreate(buff_str, OBJ_HLINE, 0, Time[0], mml[i]);
           ObjectSet(buff_str, OBJPROP_STYLE, STYLE_SOLID);
           ObjectSet(buff_str, OBJPROP_COLOR, mml_clr[i]);
           ObjectSet(buff_str, OBJPROP_WIDTH,2);
           ObjectMove(buff_str, 0, Time[0],  mml[i]);
           }
        else {
           ObjectMove(buff_str, 0, Time[0],  mml[i]);
           } 
        buff_str = "mml_txt"+i;
        if(ObjectFind(buff_str) == -1) {
           ObjectCreate(buff_str, OBJ_TEXT, 0, Time[mml_shft], mml_shft);
           ObjectSetText(buff_str, ln_txt[i], 12, "Verdana", mml_clr[i]);
           ObjectMove(buff_str, 0, Time[mml_shft],  mml[i]);
           }
        else {
           ObjectMove(buff_str, 0, Time[mml_shft],  mml[i]);
           }
        } // for( i=1; i<=OctLinesCnt; i++ ){
//Comment("\n"," ");
   nTime    = Time[0];
   CurPeriod= Period();
CreateObj(MMFrame, finalH, finalL, MMColor);
CreateObj(MMBot, finalL, mml[0], MM2Color);
CreateObj(MMTop, finalH, mml[12], MM2Color);

//Baby Lines
double bm222,bm224,bm226;
double bm112,bm114,bm116;
double bm02,bm04,bm06;
double bm12,bm14,bm16;
double bm22,bm24,bm26;
double bm32,bm34,bm36;
double bm42,bm44,bm46;
double bm52,bm54,bm56;
double bm62,bm64,bm66;
double bm72,bm74,bm76;
double bm82,bm84,bm86;
double bm92,bm94,bm96;

bm222 = ((mml[1]-mml[0])/4)+mml[0];
bm224 = ((mml[1]-mml[0])/2)+mml[0];
bm226 = ((mml[1]-mml[0])/4)*3+mml[0];

bm112 = ((mml[2]-mml[1])/4)+mml[1];
bm114 = ((mml[2]-mml[1])/2)+mml[1];
bm116 = ((mml[2]-mml[1])/4)*3+mml[1];

bm02 = ((mml[3]-mml[2])/4)+mml[2];
bm04 = ((mml[3]-mml[2])/2)+mml[2];
bm06 = ((mml[3]-mml[2])/4)*3+mml[2];

bm12 = ((mml[4]-mml[3])/4)+mml[3];
bm14 = ((mml[4]-mml[3])/2)+mml[3];
bm16 = ((mml[4]-mml[3])/4)*3+mml[3];

bm22 = ((mml[5]-mml[4])/4)+mml[4];
bm24 = ((mml[5]-mml[4])/2)+mml[4];
bm26 = ((mml[5]-mml[4])/4)*3+mml[4];

bm32 = ((mml[6]-mml[5])/4)+mml[5];
bm34 = ((mml[6]-mml[5])/2)+mml[5];
bm36 = ((mml[6]-mml[5])/4)*3+mml[5];

bm42 = ((mml[7]-mml[6])/4)+mml[6];
bm44 = ((mml[7]-mml[6])/2)+mml[6];
bm46 = ((mml[7]-mml[6])/4)*3+mml[6];

bm52 = ((mml[8]-mml[7])/4)+mml[7];
bm54 = ((mml[8]-mml[7])/2)+mml[7];
bm56 = ((mml[8]-mml[7])/4)*3+mml[7];

bm62 = ((mml[9]-mml[8])/4)+mml[8];
bm64 = ((mml[9]-mml[8])/2)+mml[8];
bm66 = ((mml[9]-mml[8])/4)*3+mml[8];

bm72 = ((mml[10]-mml[9])/4)+mml[9];
bm74 = ((mml[10]-mml[9])/2)+mml[9];
bm76 = ((mml[10]-mml[9])/4)*3+mml[9];

bm82 = ((mml[11]-mml[10])/4)+mml[10];
bm84 = ((mml[11]-mml[10])/2)+mml[10];
bm86 = ((mml[11]-mml[10])/4)*3+mml[10];

bm92 = ((mml[12]-mml[11])/4)+mml[11];
bm94 = ((mml[12]-mml[11])/2)+mml[11];
bm96 = ((mml[12]-mml[11])/4)*3+mml[11];


  
//Baby 2 Column
ObjectDelete("bm222_Line");
ObjectCreate("bm222_Line", OBJ_HLINE,0, CurTime(),bm222);
ObjectSet("bm222_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm222_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm222_Line",OBJPROP_WIDTH,0);  
 
ObjectDelete("bm224_Line");
ObjectCreate("bm224_Line", OBJ_HLINE,0, CurTime(),bm224);
ObjectSet("bm224_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm224_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm224_Line",OBJPROP_WIDTH,0);

ObjectDelete("bm226_Line");
ObjectCreate("bm226_Line", OBJ_HLINE,0, CurTime(),bm226);
ObjectSet("bm226_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm226_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm226_Line",OBJPROP_WIDTH,0); 

ObjectDelete("bm112_Line");
ObjectCreate("bm112_Line", OBJ_HLINE,0, CurTime(),bm112);
ObjectSet("bm112_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm112_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm112_Line",OBJPROP_WIDTH,0);  
 
ObjectDelete("bm114_Line");
ObjectCreate("bm114_Line", OBJ_HLINE,0, CurTime(),bm114);
ObjectSet("bm114_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm114_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm114_Line",OBJPROP_WIDTH,0);

ObjectDelete("bm116_Line");
ObjectCreate("bm116_Line", OBJ_HLINE,0, CurTime(),bm116);
ObjectSet("bm116_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm116_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm116_Line",OBJPROP_WIDTH,0); 

ObjectDelete("bm02_Line");
ObjectCreate("bm02_Line", OBJ_HLINE,0, CurTime(),bm02);
ObjectSet("bm02_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm02_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm02_Line",OBJPROP_WIDTH,0);  
 
ObjectDelete("bm04_Line");
ObjectCreate("bm04_Line", OBJ_HLINE,0, CurTime(),bm04);
ObjectSet("bm04_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm04_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm04_Line",OBJPROP_WIDTH,0);

ObjectDelete("bm06_Line");
ObjectCreate("bm06_Line", OBJ_HLINE,0, CurTime(),bm06);
ObjectSet("bm06_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm06_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm06_Line",OBJPROP_WIDTH,0); 

ObjectDelete("bm12_Line");
ObjectCreate("bm12_Line", OBJ_HLINE,0, CurTime(),bm12);
ObjectSet("bm12_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm12_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm12_Line",OBJPROP_WIDTH,0);  
 
ObjectDelete("bm14_Line");
ObjectCreate("bm14_Line", OBJ_HLINE,0, CurTime(),bm14);
ObjectSet("bm14_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm14_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm14_Line",OBJPROP_WIDTH,0);

ObjectDelete("bm16_Line");
ObjectCreate("bm16_Line", OBJ_HLINE,0, CurTime(),bm16);
ObjectSet("bm16_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm16_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm16_Line",OBJPROP_WIDTH,0); 

ObjectDelete("bm22_Line");
ObjectCreate("bm22_Line", OBJ_HLINE,0, CurTime(),bm22);
ObjectSet("bm22_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm22_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm22_Line",OBJPROP_WIDTH,0);  
 
ObjectDelete("bm24_Line");
ObjectCreate("bm24_Line", OBJ_HLINE,0, CurTime(),bm24);
ObjectSet("bm24_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm24_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm24_Line",OBJPROP_WIDTH,0);

ObjectDelete("bm26_Line");
ObjectCreate("bm26_Line", OBJ_HLINE,0, CurTime(),bm26);
ObjectSet("bm26_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm26_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm26_Line",OBJPROP_WIDTH,0);  

ObjectDelete("bm32_Line");
ObjectCreate("bm32_Line", OBJ_HLINE,0, CurTime(),bm32);
ObjectSet("bm32_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm32_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm32_Line",OBJPROP_WIDTH,0);  
 
ObjectDelete("bm34_Line");
ObjectCreate("bm34_Line", OBJ_HLINE,0, CurTime(),bm34);
ObjectSet("bm34_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm34_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm34_Line",OBJPROP_WIDTH,0);

ObjectDelete("bm36_Line");
ObjectCreate("bm36_Line", OBJ_HLINE,0, CurTime(),bm36);
ObjectSet("bm36_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm36_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm36_Line",OBJPROP_WIDTH,0);  

ObjectDelete("bm42_Line");
ObjectCreate("bm42_Line", OBJ_HLINE,0, CurTime(),bm42);
ObjectSet("bm42_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm42_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm42_Line",OBJPROP_WIDTH,0);  
 
ObjectDelete("bm44_Line");
ObjectCreate("bm44_Line", OBJ_HLINE,0, CurTime(),bm44);
ObjectSet("bm44_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm44_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm44_Line",OBJPROP_WIDTH,0);

ObjectDelete("bm46_Line");
ObjectCreate("bm46_Line", OBJ_HLINE,0, CurTime(),bm46);
ObjectSet("bm46_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm46_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm46_Line",OBJPROP_WIDTH,0);  

ObjectDelete("bm52_Line");
ObjectCreate("bm52_Line", OBJ_HLINE,0, CurTime(),bm52);
ObjectSet("bm52_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm52_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm52_Line",OBJPROP_WIDTH,0);  
 
ObjectDelete("bm54_Line");
ObjectCreate("bm54_Line", OBJ_HLINE,0, CurTime(),bm54);
ObjectSet("bm54_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm54_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm54_Line",OBJPROP_WIDTH,0);

ObjectDelete("bm56_Line");
ObjectCreate("bm56_Line", OBJ_HLINE,0, CurTime(),bm56);
ObjectSet("bm56_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm56_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm56_Line",OBJPROP_WIDTH,0);  

ObjectDelete("bm62_Line");
ObjectCreate("bm62_Line", OBJ_HLINE,0, CurTime(),bm62);
ObjectSet("bm62_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm62_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm62_Line",OBJPROP_WIDTH,0);  
 
ObjectDelete("bm64_Line");
ObjectCreate("bm64_Line", OBJ_HLINE,0, CurTime(),bm64);
ObjectSet("bm64_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm64_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm64_Line",OBJPROP_WIDTH,0);

ObjectDelete("bm66_Line");
ObjectCreate("bm66_Line", OBJ_HLINE,0, CurTime(),bm66);
ObjectSet("bm66_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm66_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm66_Line",OBJPROP_WIDTH,0);

ObjectDelete("bm72_Line");
ObjectCreate("bm72_Line", OBJ_HLINE,0, CurTime(),bm72);
ObjectSet("bm72_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm72_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm72_Line",OBJPROP_WIDTH,0);  
 
ObjectDelete("bm74_Line");
ObjectCreate("bm74_Line", OBJ_HLINE,0, CurTime(),bm74);
ObjectSet("bm74_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm74_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm74_Line",OBJPROP_WIDTH,0);

ObjectDelete("bm76_Line");
ObjectCreate("bm76_Line", OBJ_HLINE,0, CurTime(),bm76);
ObjectSet("bm76_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm76_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm76_Line",OBJPROP_WIDTH,0);

ObjectDelete("bm82_Line");
ObjectCreate("bm82_Line", OBJ_HLINE,0, CurTime(),bm82);
ObjectSet("bm82_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm82_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm82_Line",OBJPROP_WIDTH,0);  
 
ObjectDelete("bm84_Line");
ObjectCreate("bm84_Line", OBJ_HLINE,0, CurTime(),bm84);
ObjectSet("bm84_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm84_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm84_Line",OBJPROP_WIDTH,0);

ObjectDelete("bm86_Line");
ObjectCreate("bm86_Line", OBJ_HLINE,0, CurTime(),bm86);
ObjectSet("bm86_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm86_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm86_Line",OBJPROP_WIDTH,0);
 
ObjectDelete("bm92_Line");
ObjectCreate("bm92_Line", OBJ_HLINE,0, CurTime(),bm92);
ObjectSet("bm92_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm92_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm92_Line",OBJPROP_WIDTH,0);  
 
ObjectDelete("bm94_Line");
ObjectCreate("bm94_Line", OBJ_HLINE,0, CurTime(),bm94);
ObjectSet("bm94_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm94_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm94_Line",OBJPROP_WIDTH,0);

ObjectDelete("bm96_Line");
ObjectCreate("bm96_Line", OBJ_HLINE,0, CurTime(),bm96);
ObjectSet("bm96_Line",OBJPROP_COLOR,C'3,85,95');
ObjectSet("bm96_Line",OBJPROP_STYLE,STYLE_DOT);
ObjectSet("bm96_Line",OBJPROP_WIDTH,0);

  
ObjectsRedraw();  
  
   }

Comment("   :::: Xard777 ",TimeToStr(LocalTime())," ",xard," :::: "
+"\n"
+"\n"
+"\nOctave Data  +4/8th  ",DoubleToStr(mm314,Digits-0)
+"\n                    +3/8th  ",DoubleToStr(mm313,Digits-0)
+"\n                    +2/8th  ",DoubleToStr(mm3P2,Digits-0)
+"\n                    +1/8th  ",DoubleToStr(mm3P1,Digits-0)
+"\n"
+"\n 8/8th ",DoubleToStr(m8,Digits-0),"  ",DoubleToStr(mm8,Digits-0),"  ",DoubleToStr(mm38,Digits-0)
+"\n 7/8th ",DoubleToStr(m7,Digits-0),"  ",DoubleToStr(mm7,Digits-0),"  ",DoubleToStr(mm37,Digits-0)
+"\n 6/8th ",DoubleToStr(m6,Digits-0),"  ",DoubleToStr(mm6,Digits-0),"  ",DoubleToStr(mm36,Digits-0)
+"\n 5/8th ",DoubleToStr(m5,Digits-0),"  ",DoubleToStr(mm5,Digits-0),"  ",DoubleToStr(mm35,Digits-0)
+"\n 4/8th ",DoubleToStr(m4,Digits-0),"  ",DoubleToStr(mm4,Digits-0),"  ",DoubleToStr(mm34,Digits-0)
+"\n 3/8th ",DoubleToStr(m3,Digits-0),"  ",DoubleToStr(mm3,Digits-0),"  ",DoubleToStr(mm33,Digits-0)
+"\n 2/8th ",DoubleToStr(m2,Digits-0),"  ",DoubleToStr(mm2,Digits-0),"  ",DoubleToStr(mm32,Digits-0)
+"\n 1/8th ",DoubleToStr(m1,Digits-0),"  ",DoubleToStr(mm1,Digits-0),"  ",DoubleToStr(mm31,Digits-0)
+"\n 0/8th ",DoubleToStr(m0,Digits-0),"  ",DoubleToStr(mm0,Digits-0),"  ",DoubleToStr(mm30,Digits-0)
+"\n"
+"\n                     -1/8th  ",DoubleToStr(mm3M1,Digits-0)
+"\n                     -2/8th  ",DoubleToStr(mm3M2,Digits-0)
+"\n                     -3/8th  ",DoubleToStr(mm315,Digits-0)
+"\n                     -4/8th  ",DoubleToStr(mm316,Digits-0)
+"\n");

 
//---- End Of Program

  return(0);
  }
//Job Done  
//+------------------------------------------------------------------+